summaryrefslogtreecommitdiff
path: root/packaging/bin
diff options
context:
space:
mode:
authorTim Potter <tpot@samba.org>2001-08-01 01:20:10 +0000
committerTim Potter <tpot@samba.org>2001-08-01 01:20:10 +0000
commita13eedf8bdefacfb569eb006d8c169247272ecf6 (patch)
treea5abd1ae80a5cc677a1f9785bb127bc5ff1389b7 /packaging/bin
parentec042f2af94a834226b59224ab28452b1cd6bf15 (diff)
downloadsamba-a13eedf8bdefacfb569eb006d8c169247272ecf6.tar.gz
Added some command line argument checking and usage info.
Diffstat (limited to 'packaging/bin')
-rwxr-xr-xpackaging/bin/update-pkginfo5
1 files changed, 5 insertions, 0 deletions
diff --git a/packaging/bin/update-pkginfo b/packaging/bin/update-pkginfo
index fab56daebf8..8432173cc88 100755
--- a/packaging/bin/update-pkginfo
+++ b/packaging/bin/update-pkginfo
@@ -3,6 +3,11 @@
VERSION=$1
RELEASE=$2
+if [ $# -ne 2 ]; then
+ echo Usage: update-pkginfo VERSION RELEASE
+ exit 1
+fi
+
for f in */*/*.tmpl; do
f2=`echo $f | sed s/.tmpl//g`
echo $f2